Get compact autocomplete suggestions
curl --request GET \
--url http://127.0.0.1:5185/v1/search/suggestionsconst options = {method: 'GET'};
fetch('http://127.0.0.1:5185/v1/search/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "http://127.0.0.1:5185/v1/search/suggestions"
response = requests.get(url)
print(response.text){
"data": {
"products": [
{
"type": "product",
"id": "<string>",
"label": "<string>",
"secondary_text": "<string>",
"href": "<string>",
"source_ids": {
"utah_dabs_sku": "347210"
}
}
],
"brands": [
{
"type": "product",
"id": "<string>",
"label": "<string>",
"secondary_text": "<string>",
"href": "<string>",
"source_ids": {
"utah_dabs_sku": "347210"
}
}
],
"families": [
{
"type": "product",
"id": "<string>",
"label": "<string>",
"secondary_text": "<string>",
"href": "<string>",
"source_ids": {
"utah_dabs_sku": "347210"
}
}
],
"categories": [
{
"type": "product",
"id": "<string>",
"label": "<string>",
"secondary_text": "<string>",
"href": "<string>",
"source_ids": {
"utah_dabs_sku": "347210"
}
}
]
},
"meta": {
"query": "<string>",
"limit_per_type": 10,
"warnings": [
{
"code": "INVENTORY_COVERAGE_PARTIAL"
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}Get compact autocomplete suggestions
Returns separately grouped product, reviewed-brand, reviewed-family, and category suggestions. Results are compact navigation hints rather than full resources; use each suggestion’s href or the corresponding collection/detail operation to retrieve complete data.
Get compact autocomplete suggestions
curl --request GET \
--url http://127.0.0.1:5185/v1/search/suggestionsconst options = {method: 'GET'};
fetch('http://127.0.0.1:5185/v1/search/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "http://127.0.0.1:5185/v1/search/suggestions"
response = requests.get(url)
print(response.text){
"data": {
"products": [
{
"type": "product",
"id": "<string>",
"label": "<string>",
"secondary_text": "<string>",
"href": "<string>",
"source_ids": {
"utah_dabs_sku": "347210"
}
}
],
"brands": [
{
"type": "product",
"id": "<string>",
"label": "<string>",
"secondary_text": "<string>",
"href": "<string>",
"source_ids": {
"utah_dabs_sku": "347210"
}
}
],
"families": [
{
"type": "product",
"id": "<string>",
"label": "<string>",
"secondary_text": "<string>",
"href": "<string>",
"source_ids": {
"utah_dabs_sku": "347210"
}
}
],
"categories": [
{
"type": "product",
"id": "<string>",
"label": "<string>",
"secondary_text": "<string>",
"href": "<string>",
"source_ids": {
"utah_dabs_sku": "347210"
}
}
]
},
"meta": {
"query": "<string>",
"limit_per_type": 10,
"warnings": [
{
"code": "INVENTORY_COVERAGE_PARTIAL"
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}Headers
Strong entity tag from an earlier response.
HTTP-date fallback validator. ETag takes precedence.
Query Parameters
Normalized autocomplete query across the requested resource types.
Required string length:
2 - 100Resource groups to return. Omit to request all four groups.
Maximum array length:
4Available options:
product, brand, family, category Maximum suggestions returned in each requested group.
Required range:
1 <= x <= 20